haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Object

Description

Parsing of objects.

# Documentation

data Object Source #

Constructors

Object |

Fields

- objParent :: Maybe Name
- objTypeInit :: Text
- objTypeName :: Text
- objCType :: Maybe Text
- objRefFunc :: Maybe Text
- objUnrefFunc :: Maybe Text
- objSetValueFunc :: Maybe Text
- objGetValueFunc :: Maybe Text
- objInterfaces :: [Name]
- objDeprecated :: Maybe DeprecationInfo
- objDocumentation :: Documentation
- objMethods :: [Method]
- objProperties :: [Property]
- objSignals :: [Signal]

#### Instances

Instances details

Show Object Source # |
Instance details Defined in Data.GI.GIR.Object Methods showsPrec :: Int -> Object -> ShowS Source # show :: Object -> String Source # showList :: [Object] -> ShowS Source #

parseObject :: Parser (Name, Object) Source #